Contributions are welcome from everyone. Please adhere to the [code of conduct](https://github.com/bnkamalesh/webgo/blob/master/CODE_OF_CONDUCT.md) of the project, and be respectful to all. 

Please follow the guidelines provided for contribution

1. Updates to the project are only accepted via Pull Requests (PR)
2. Pull requests will be reviewed & tested
3. Every PR should be accompanied by its test wherever applicable
4. While creating an issue
	1. Mention the steps to reproduce the issue
	2. Mention the environment in which it was run
	3. Include your 1st level of troubleshooting results
5. Provide meaningful commit messages


### Versioning & PR messages

WebGo tries to use [semantic versioning](https://semver.org/) and starting recently, have decided to adhere to the following syntax in PR description. List down the changes as bulleted list, as follows:

```markdown
[major] any backward incompatible or breaking change
[minor] any new feature
[patch] enhancements of existing features, refactor, bug fix etc.
[-] for changes which does not require a version number update
```
